StarObjectSmallGraphicInternal::SDUDGraphic Class Reference documentation

Public Member Functions | Friends | List of all members
StarObjectSmallGraphicInternal::SDUDGraphic Class Reference

Internal: virtual class to store a SDUD graphic. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SDUDGraphic:

## Public Member Functions
| SDUDGraphic (int id)
| constructor More...
| ~SDUDGraphic () override
| destructor More...
std::string | getName () const override
| return the object name More...
std::string | print () const override
| basic print function More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::SDRUserData
| SDRUserData (int id=-1)
std::string | getName () const override
| return the object name More...
std::string | print () const override
| basic print function More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor More...
virtual | ~Graphic ()
| destructor More...
virtual std::string | print () const
| basic print function More...
virtual std::string | getName () const =0
| return the object name More...
virtual bool | send (STOFFListenerPtr &, STOFFFrameStyle const &, StarObject &, bool)
| try to send the graphic to the listener More...

## Friends
std::ostream & | operator<< (std::ostream &o, SDUDGraphic const &graph)
| print object data More...

## Additional Inherited Members
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type More...

## Detailed Description

Internal: virtual class to store a SDUD graphic.

## Constructor & Destructor Documentation

## ◆ SDUDGraphic()

StarObjectSmallGraphicInternal::SDUDGraphic::SDUDGraphic | ( | int | id | ) |
| inlineexplicit

constructor

## ◆ ~SDUDGraphic()

StarObjectSmallGraphicInternal::SDUDGraphic::~SDUDGraphic | ( |  | ) |
| override

destructor

## Member Function Documentation

## ◆ getName()

std::string StarObjectSmallGraphicInternal::SDUDGraphic::getName | ( |  | ) | const
| inlineoverridevirtual

return the object name

Reimplemented from StarObjectSmallGraphicInternal::SDRUserData.

## ◆ print()

std::string StarObjectSmallGraphicInternal::SDUDGraphic::print | ( |  | ) | const
| inlineoverridevirtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::SDRUserData.

Reimplemented in StarObjectSmallGraphicInternal::SDUDGraphicAnimation.

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | SDUDGraphic const & | graph
| ) |  |
| friend

print object data

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx